Imports System
Imports System.ComponentModel

Imports DevExpress.Xpo
Imports DevExpress.Data.Filtering

Imports DevExpress.ExpressApp
Imports DevExpress.Persistent.Base
Imports DevExpress.Persistent.BaseImpl
Imports DevExpress.Persistent.Validation

<DefaultClassOptions(), NavigationItem(False), CreatableItem(False)> _
Public Class ModelActionRole
    Inherits BaseObject

    Private _Action_ID As String
    Private _Action_Controller As String
    Private _Role As Role

    Public Sub New(ByVal session As Session)
        MyBase.New(session)
        ' This constructor is used when an object is loaded from a persistent storage.
        ' Do not place any code here or place it only when the IsLoading property is false:
        ' if (!IsLoading){
        '   It is now OK to place your initialization code here.
        ' }
        ' or as an alternative, move your initialization code into the AfterConstruction method.
    End Sub
    Public Overrides Sub AfterConstruction()
        MyBase.AfterConstruction()
        ' Place here your initialization code.
    End Sub

    <Size(255)> _
    Property Action_ID As String
        Get
            Return _Action_ID
        End Get
        Set(value As String)
            SetPropertyValue("Action_ID", _Action_ID, value)
        End Set
    End Property
    <Size(255)> _
    Property Action_Controller As String
        Get
            Return _Action_Controller
        End Get
        Set(value As String)
            SetPropertyValue("Action_Controller", _Action_Controller, value)
        End Set
    End Property
    Property Role As Role
        Get
            Return _Role
        End Get
        Set(value As Role)
            SetPropertyValue("Role", _Role, value)
        End Set
    End Property

End Class
